import {createApp} from 'vue'
import App from './App.vue'
// 额外引入图标库
import ArcoVueIcon from '@arco-design/web-vue/es/icon';

import './assets/main.css'
// 代码高亮
// import 'highlight.js/styles/base16/darcula.css'
import 'highlight.js/styles/monokai-sublime.css'
// import 'highlight.js/styles/atom-one-dark.css'
import 'highlight.js/lib/common'
import hljsVuePlugin from '@highlightjs/vue-plugin'

const app = createApp(App);
app.use(ArcoVueIcon);
app.use(hljsVuePlugin)
app.mount('#app');